Download a report
curl --request GET \
--url https://api-sandbox.orum.io/deliver/reports/{id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.orum.io/deliver/reports/{id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.orum.io/deliver/reports/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Reports
Download Report
Download a single report.
GET
/
deliver
/
reports
/
{id}
/
download
Download a report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique id for the resource. Orum generated unique id for the resource.
Response
CSV file containing the report data.
The response is of type file.
Was this page helpful?
⌘I